Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05339 Graphics Trivial Always Oct 27, 2013, 05:00 Jul 7, 2021, 06:03
Tester shmup999 View Status Public Platform MAME (Official Binary)
Assigned To Resolution Bugs That Aren't Bugs OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver atarisy2.cpp
Version 0.145 Fixed in Version Build Normal
Fixed in Git Commit Github Pull Request #
Summary 05339: paperboy: Wrong house numbers are displayed after losing a life between blocks
Description The houses in this game are numbered.
On Easy Street, the house numbers go from 120 down to 111 on the first block; then on the second block, they go from 110 down to 101.

If you lose a life while crossing the road between 111 and 110 Easy Street, that messes up the display of house numbers: 110 will appear as 111; 109 will appear as 110; and so forth, all numbers being too high by 1. If you are using the displayed house numbers as a guide to your delivery, this will cause you to lose customers.
Steps To Reproduce
Additional Information
Github Commit
Flags
Regression Version
Affected Sets / Systems paperboy
Attached Files
png file icon before_car_crash.png (8,104 bytes) Oct 27, 2013, 12:01 Uploaded by zaxxon
house number is 111 before paperboy is hit by the car
zaxxon
png file icon after_car_crash.png (6,683 bytes) Oct 27, 2013, 12:02 Uploaded by zaxxon
same house, number now becomes 112 on your next life
zaxxon
Relationships
There are no relationship linked to this issue.
Notes
6
User avatar
No.09915
AWJ
Developer
Oct 27, 2013, 12:08
I can't see how this can possibly be an emulation bug rather than a bug in the original game.
User avatar
No.09916
Fujix
Administrator
Oct 27, 2013, 12:16
This could be intentional in Atari games.
User avatar
No.09917
zaxxon
Tester
Oct 27, 2013, 12:26
i have asked a number of people to confirm this using real atari paperboy cabs, i will report back later with the results (ps. im betting on normal game behaviour :)
User avatar
No.10149
zaxxon
Tester
Jan 6, 2014, 23:33
hello all sorry for the long delay in getting back, i finally got someone with a genuine paperboy cab to do the test.
he has confirmed that when u first reach the crossroads on Easy Street, where u have the house just across the road numbered 110...
if you lose a life on the crossroads, that same house now becomes 111.
it doesnt stop there. if you keep dying on the crossroads (eg. crashing on the curb), the house number keeps going up by '1' per life lost.. ie it changes to 112, then on the next life 113, and then 114.... etc.
anyway, confirmed normal behaviour for a genuine paperboy cab.
User avatar
No.10150
hap
Developer
Jan 6, 2014, 23:46
cool, thanks
User avatar
No.19081
Tafoid
Administrator
Jul 7, 2021, 06:03
edited on: Jul 7, 2021, 06:04

Time Index 45:35 "Bugz" discussion.
Time index 46:11 House numbering bug is mentioned